The windows keyring raises an error when there are not credentials present in the keyring

Bug #746096 reported by Manuel de la Peña on 2011-03-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Single Sign On Client
Medium
Manuel de la Peña

Bug Description

When testing the sso client on windows I got the following error:

2011-03-31 00:25:20,954:954.999923706 - ubuntu_sso.credentials - ERROR - _login_
or_register (app_name: test): Calling error_cb at <bound method Credentials.erro
r_cb of <ubuntu_sso.credentials.Credentials object at 0x0249C8D0>>.
2011-03-31 00:25:20,967:967.000007629 - ubuntu_sso.credentials - ERROR - Calling
 error callback at <bound method SSOCredentials._process_error of <ubuntu_sso.ma
in.windows.SSOCredentials object at 0x02443870>> (error is {'error_message': 'Pr
oblem while retrieving credentials', 'detailed_error': 'Traceback (most recent c
all last):\n File "C:\\Python27\\lib\\site-packages\\ubuntu_sso\\credentials.py
", line 118, in inner\n result = yield f(self, *a, **kw)\n File "C:\\Python2
7\\lib\\site-packages\\twisted\\internet\\defer.py", line 1018, in _inlineCallba
cks\n result = result.throwExceptionIntoGenerator(g)\n File "C:\\Python27\\l
ib\\site-packages\\twisted\\python\\failure.py", line 349, in throwExceptionInto
Generator\n return g.throw(self.type, self.value, self.tb)\n File "C:\\Pytho
n27\\lib\\site-packages\\ubuntu_sso\\credentials.py", line 270, in _login_or_reg
ister\n token = yield self.find_credentials()\n File "C:\\Python27\\lib\\sit
e-packages\\twisted\\internet\\defer.py", line 1018, in _inlineCallbacks\n re
sult = result.throwExceptionIntoGenerator(g)\n File "C:\\Python27\\lib\\site-pa
ckages\\twisted\\python\\failure.py", line 349, in throwExceptionIntoGenerator\n
    return g.throw(self.type, self.value, self.tb)\n File "C:\\Python27\\lib\\s
ite-packages\\ubuntu_sso\\credentials.py", line 294, in find_credentials\n cr
eds = yield Keyring().get_credentials(self.app_name)\n File "C:\\Python27\\lib\
\site-packages\\twisted\\python\\threadpool.py", line 207, in _worker\n resul
t = context.call(ctx, function, *args, **kwargs)\n File "C:\\Python27\\lib\\sit
e-packages\\twisted\\python\\context.py", line 59, in callWithContext\n retur
n self.currentContext().callWithContext(ctx, func, *args, **kw)\n File "C:\\Pyt
hon27\\lib\\site-packages\\twisted\\python\\context.py", line 37, in callWithCon
text\n return func(*args,**kw)\n File "C:\\Python27\\lib\\site-packages\\ubu
ntu_sso\\keyring\\windows.py", line 47, in _get_credentials_obj\n return load
s(creds)\n File "C:\\Python27\\lib\\json\\__init__.py", line 326, in loads\n
 return _default_decoder.decode(s)\n File "C:\\Python27\\lib\\json\\decoder.py"
, line 360, in decode\n obj, end = self.raw_decode(s, idx=_w(s, 0).end())\nTy
peError: expected string or buffer\n'}).
2011-03-31 00:25:21,006:6.00004196167 - ubuntu_sso.main.windows - ERROR - SSOCre
dentials: emitting CredentialsError with app_name "test" and error_message 'Prob
lem while retrieving credentials'

Related branches

Changed in ubuntu-sso-client:
assignee: nobody → Manuel de la Pena (mandel)
importance: Undecided → Medium
status: New → In Progress
Changed in ubuntu-sso-client:
status: In Progress → Fix Committed
dobey (dobey) on 2011-06-24
Changed in ubuntu-sso-client:
milestone: none → 1.3.1
dobey (dobey) on 2011-07-22
Changed in ubuntu-sso-client:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers